### Name: predict.prodlim
### Title: Predicting event probabilities from product limit estimates
### Aliases: predict.prodlim predictSurv predictCuminc
### Keywords: survival

### ** Examples

## Not run: 
##D library(survival)
##D data(pbc)
##D fit <- prodlim(Hist(time,status)~1,data=pbc)
##D 
##D ## predict the survival probs at selected times 
##D predict(fit,times=c(10,100,1000))
##D 
##D ## works also outside the usual range of the Kaplan-Meier
##D predict(fit,times=c(-1,0,10,100,1000,10000))
##D 
##D ## newdata is required if there are strata
##D ## or neighborhoods (ie overlapping strata)
##D mfit <- prodlim(Hist(time,status)~edema+age,data=pbc)
##D predict(mfit,times=c(-1,0,10,100,1000,10000),newdata=pbc[18:21,])
##D 
##D ## this can be requested in matrix form
##D predict(mfit,times=c(-1,0,10,100,1000,10000),newdata=pbc[18:21,],mode="matrix")
##D 
##D ## and even transposed
##D predict(mfit,times=c(-1,0,10,100,1000,10000),newdata=pbc[18:21,],mode="matrix",bytime=TRUE)
## End(Not run)



